Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.functions
Class Sum

    java.lang.Object
      com.singularsys.jep.functions.PostfixMathCommand
          com.singularsys.jep.functions.Sum

All Implemented Interfaces:
  PostfixMathCommandI, java.io.Serializable

    public class Sum

extends PostfixMathCommand

This class serves mainly as an example of a function that accepts any number of parameters. Note that the numberOfParameters is initialized to -1.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand
`curNumberOfParameters, name, NaN, numberOfParameters`

Constructor Summary
`Sum()` Constructor.

Method Summary
`boolean` | `checkNumberOfParameters(int n)` Must have one or more parameter
`void` | `run(java.util.Stack<java.lang.Object> stack)` Calculates the result of summing up all parameters.

Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand
`asArray, asBool, asDouble, asInt, asLong, asStrictInt, asString, checkStack, getName, getNumberOfParameters, setCurNumberOfParameters, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sum

    public Sum()

  Constructor.

Method Detail

### checkNumberOfParameters

    public boolean checkNumberOfParameters(int n)

  Must have one or more parameter

  Specified by:
    `checkNumberOfParameters` in interface `PostfixMathCommandI`
  Overrides:
    `checkNumberOfParameters` in class `PostfixMathCommand`
  Parameters:
    `n` - number of parameters function will be called with.
  Returns:
    false if an illegal number of parameters is supplied, true otherwise.

### run

    public void run(java.util.Stack<java.lang.Object> stack)
             throws EvaluationException

  Calculates the result of summing up all parameters.

  Throws:
    `EvaluationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep